AMXX plugin shows as: "Bad load"?

New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
I put the plugin in the plugins folder and in the plugins.ini and enabled Fake and Fun modules but it still shows as bad load when I start the server :cry:

ESF also tends to instacrash at random times, any idea as of why? please tell me
 
New Member
💻 Oldtimer
Joined
Aug 16, 2004
Messages
2,309
Best answers
0
did you put the .sma file in the correct place?
 
Senior Member
★ Black Lounger ★
✔️ HL Verified
💻 Oldtimer
Joined
Feb 17, 2003
Messages
1,483
Best answers
0
you mean .amx file...

Anyhoo show me the source where you got it from.
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,836
Best answers
0
KilledWithStyle said:
you mean .amx file...

Anyhoo show me the source where you got it from.
You mean .amxx, lol. Anyway, it could be a few reasons why it gives a "bad load".

1), Amxx file not in the plugins folder, while the plugin is in plugins.ini.
2), The AMXX version is not compatible with the plugin, try re-compiling
3), You don't have the modules enabled that the plugin requires.

You can enable the modules in modules.ini which is located at "addons/amxmodx/configs/" folder. Simple remove the ";" in the begin of every line to enable the module.
 
Senior Member
★ Black Lounger ★
✔️ HL Verified
💻 Oldtimer
Joined
Feb 17, 2003
Messages
1,483
Best answers
0
No I mean .amx. Not every one uses AMX mod X. The AMX team (www.amxmod.net) uses .amx. So I just say, .amx file. Even though yes, I do use AMXx, I always say its an .amx file.
 
New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
It's the powerlevelchanger plugin, I want if for my server.
 
Senior Member
★ Black Lounger ★
✔️ HL Verified
💻 Oldtimer
Joined
Feb 17, 2003
Messages
1,483
Best answers
0
lets see... This should work with the most recient version. Maby you have not updated your AMXx but you have used the online compiler that does the newest version. Or maby you are using an old compiler on your system. It could be a number of things.

Did you compile it yourself or using the online version?
Do you have the most recent version of AMXx?
Are you shure that you put the compiled file into the plugins folder?
Are you shure that you put plugin_name.amxx (where "plugin_name" is the plugin file's name) inside your plugins.ini folder?
 
New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
I used the AMXx version that comes with EVM
I don't know how to compile or what it is for that matter
Yes I'm sure i put the right thingies in the right place.

Also, EVM doesn't work with v1.71 :/
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,836
Best answers
0
That's because EVM was created when only v1.0 was released. So it's not compatible with the further releases.

Made by Kaination:
K, heres the guide. I'll start to need to post links after a while, theres going to be a few pictures. Anyways, here's the guide.

Step one:
Go to the download section in http://www.amxmodx.org and download the full install.


Step two:
Get done installing, blah blah blah. Run it, and get to the point where you see this:


I'll give you a quick low-down of what the main things are.

Steam Dedicated server: This is where when you want to run a server where you can have the server up using a program, and not ESF.

Steam Listen Server: This is where you open up ESF, goto create new game.

Step three: Select one of the dedicated or listen server. For this example, I used listen server. A menu of games will pop up. Select Earth's special forces.


Hit Next.

Step four: Let it install. After installation, goto your ESF folder and look at your amx folder (Steam/steamapps/youremail/half-life/ESF/addons/amxmodx)

Step five: To make things easier on yourself, goto the configs folder, and open the modules file in notepad.


Take off all the ; where theres a module. Heres mine.

Code:
; AMX Mod X Modules
; You can specify both linux & win32 modules here
; To enable a module, remove the semi-colon from the line

; ------------------------------
; Fun - provides extra functions
; ------------------------------
fun_amxx_i386.so
fun_amxx.dll
fun_amxx_amd64.so

; ----------------------------------------------------
; Engine - provides engine functions core to Half-Life
; ----------------------------------------------------
engine_amxx_i386.so
engine_amxx.dll
engine_amxx_amd64.so

; ----------------------------------------------------------
; Fakemeta - provides a massive interface into the HL engine
; ----------------------------------------------------------
fakemeta_amxx_i386.so
fakemeta_amxx.dll
fakemeta_amxx_amd64.so

; -------------------------------------------
; Database Access - only enable one of these
; -------------------------------------------
; MySQL
mysql_amxx_i386.so
mysql_amxx.dll
mysql_amxx_amd64.so
; PostgreSQL
pgsql_amxx_i386.so
pgsql_amxx.dll
; Microsoft SQL
mssql_amxx.dll
; SQLite
sqlite_amxx.dll
sqlite_amxx_i386.so
sqlite_amxx_amd64.so

; ---------------------------------------------
; GeoIP - determines the country of ip adresses
; ---------------------------------------------
geoip_amxx_i386.so
geoip_amxx.dll
geoip_amxx_amd64.so

; --------------------------------
; Sockets - network socket support
; --------------------------------
sockets_amxx_i386.so
sockets_amxx.dll
sockets_amxx_amd64.so

; --------------------------
; Regular Expression support
; --------------------------
regex_amxx_i386.so
regex_amxx.dll
regex_amxx_amd64.so

; --------------------
; Binary Vault support
; --------------------
nvault_amxx_i386.so
nvault_amxx.dll
nvault_amxx_amd64.so
Step six: Now we got to go get you a plug-in.

I wrote numbers, so follow along:

1. Click Plug-ins.
2. Go to Mods.
3. Go to Earth's Special Forces.
4. Click Search.

Step seven: For the example I'm using, I'm using the plug-in "ESF Powerlevel changer"


Step eight: Download both of these:


Step nine: You're almost there.

Go to your configs folder, shown above, and open the file plugins in notepad.


Step ten: In this folder, at the bottom you want to add the name of the .amxx file you downloaded earlier.

Code:
; Custom - Add 3rd party plugins here
esf_powerlevel_changer.amxx
It should look like that on the end.

Step eleven: go to your plugins folder, and put esf_powerlevel_changer.amxx in there.

Step twelve: Last step.

Go to your scripting folder, and put the esf_powerlevel_changer.sma in there.

Congradulations, you have it.

How to work this particular plugin
Inside console, you want to type:

esf_powerlevel "name" "number of PL you want"

So for example, if my name was Kaination in-game, and I wanted 10,000,000 PL, it'd be:

Esf_powerlevel "Kaination" "10000000"

And there you go. Have fun.

Also note... When you get other plugins, they usually tell you how to work it inside the description.

--------
Made by Kaination
And killer, i said AMXX due his thread name is "AMXX plugin shows as: "Bad load"? "
 
New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
But if i download 1.71/1.60(that it said in the tutorial) i won't be able to use EVM? =S
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,836
Best answers
0
Tenbin, exactly. EVM is only compatible with AMXX V1.0, not later releases.
 
New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
but on the thread where he released the plugin some people have used it with EVM :s. so I wonder how that can be
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,836
Best answers
0
tenbin said:
but on the thread where he released the plugin some people have used it with EVM :s. so I wonder how that can be
That's impossible. As far as i know, EVM has problems running on further releases of AMXX, but besides that point. You should go to the EVM Forums, due the ESF Forums don't support EVM.
 
Senior Member
★ Black Lounger ★
✔️ HL Verified
💻 Oldtimer
Joined
Feb 17, 2003
Messages
1,483
Best answers
0
Now for an other episode of "ALL YOU NEEED TO KNOW!" hosted by KWS
*Your AMX plugin has a bad load because EVM runs an old version and AMX mod X uses a new version for its compiler
All you need to know: get the old version of AMX mod X's compiler here, or (if that doesnt work) go to the EVM website.

No more help should be done on this post.
 
New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
Just asking (since im a complete noob in these things) which file should i download? Also, should i recompile the .sma file to the powerlevelchanger.amxx in the old compiler and then it will work?
 
Senior Member
★ Black Lounger ★
✔️ HL Verified
💻 Oldtimer
Joined
Feb 17, 2003
Messages
1,483
Best answers
0
-_- just go to the EVM website. It is ovious to me that the old version is 0.16, but I am not other people. You recompile it using the scripting folder inside the old AMXx install. And, I dont remember too much, but I believe that they were still using the .amx file extension back then also, so be shure to change the name inside the plugins.ini

Really if you have anymore problem you really should go to the EVM website.
 
New Member
Joined
Apr 9, 2006
Messages
7
Best answers
0
would it be obvious if you had never ever done anything that had anything at all to do wiht it? I think not. no need to get all "hey he's a noob, lets rub it in" on me
 
Senior Member
★ Black Lounger ★
✔️ HL Verified
💻 Oldtimer
Joined
Feb 17, 2003
Messages
1,483
Best answers
0
I did not say that you were a newb. Please calm down before a situation developes. It says what version number is what on the page itself. 0.16 is earler than 1.7, that is how things are ovious. But then I also said that you sould go to the EVM website if you have any more problems.

If you have a problem with me, either take it up with me or talk to a moderator (via PM). Please dont post insulting comments on thiese boards. Flame wars never end out nicely.
 

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Top